//====================================================================
// Makerez.cpp
// Creates a resource dialog
//====================================================================
#define Uses_TObject
#define Uses_TKeys
#define Uses_TApplication
#define Uses_TEvent
#define Uses_TRect
#define Uses_TDialog
#define Uses_TStaticText
#define Uses_TButton
#define Uses_TMenuBar
#define Uses_TSubMenu
#define Uses_TMenuItem
#define Uses_TStatusLine
#define Uses_TStatusDef
#define Uses_TDeskTop
#define Uses_TStreamableClass
#define Uses_TResourceFile
#define Uses_TResourceCollection
#define Uses_MsgBox
#define Uses_fpstream

#include <tv.h>
#include <string.h>
#include <stdlib.h>

// #include <tprogbar.hpp>

// External links
__link ( RWindow )
__link ( RGroup )
__link ( RDialog )
__link ( RFrame )
__link ( RResourceCollection )
__link ( RCluster )
__link ( RButton )
// __link ( RProgressBar )

// Resource file name
const char rezFileName[] = "MY.REZ";

void makeRez ()
{
    // Instantiate a fpstream object
    fpstream *ofps = NULL;

    cout << "\nCreating " << rezFileName <<  endl;

    // attach stream to a file
    ofps = new fpstream ( rezFileName, ios::out | ios::binary );

    // check for errors
    if ( ofps->bad() ) {
        cerr <<  rezFileName << ": initialization failed...." << endl;
        exit (0);
    }

    // instantiate a resource file
    TResourceFile *myRez = new TResourceFile ( ofps );

    if ( !myRez ) {
        cerr << "\nResource file init failed..." << endl;
        exit (0);
    }

    // create dialog box now
    TDialog *pd = new TDialog ( TRect ( 0, 0, 60, 15 ), "Example Progress Bar" );

    if (!pd ) {
        cerr << "\nCould not create dialog box....";
        exit(0);
    }

    // set preferences
    pd->options |= ofCentered;
    pd->flags &= wfClose;

    // insert a close and OK button

    pd->insert ( new TButton (
                     TRect ( 10, pd->size.y-3, pd->size.x-10, pd->size.y-1),
                     "~C~ancel", cmCancel, bfDefault) );


     // stream the dialog box to disk
     myRez->put (pd, "theDialogBox");

    TObject::destroy(pd);
    TObject::destroy(myRez);
}

int main()
{
    makeRez();
    return 1;
}



















// end of file
